Package be.fgov.ehealth.dics.protocol.v4

# Class ConsultCommentedClassificationTreeType

java.lang.Object
be.fgov.ehealth.dics.core.v4.virtual.common.CommentedClassificationKeyType
be.fgov.ehealth.dics.protocol.v4.ConsultCommentedClassificationType
be.fgov.ehealth.dics.protocol.v4.ConsultCommentedClassificationTreeType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class ConsultCommentedClassificationTreeType extends ConsultCommentedClassificationType implements Serializable

Java class for ConsultCommentedClassificationTreeType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultCommentedClassificationTreeType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultCommentedClassificationType">
           <sequence>
             <element name="CommentedClassification" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultCommentedClassificationTreeType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultCommentedClassificationTreeType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ConsultCommentedClassificationTreeType>`
  `getCommentedClassifications()`
  Gets the value of the commentedClassifications property.

  ### Methods inherited from class be.fgov.ehealth.dics.protocol.v4.ConsultCommentedClassificationType

  `getContent, getEndDate, getPosologyNote, getStartDate, getTitle, getUrl, setContent, setEndDate, setPosologyNote, setStartDate, setTitle, setUrl`

  ### Methods inherited from class be.fgov.ehealth.dics.core.v4.virtual.common.CommentedClassificationKeyType

  `getCode, setCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultCommentedClassificationTreeType

    public ConsultCommentedClassificationTreeType()

- ## Method Details

  - ### getCommentedClassifications

    public List<ConsultCommentedClassificationTreeType> getCommentedClassifications()
    Gets the value of the commentedClassifications property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the commentedClassifications property.

    For example, to add a new item, do as follows:

         getCommentedClassifications().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultCommentedClassificationTreeType`

    Returns:
      The value of the commentedClassifications property.